Bug 1293264 - [abrt] docker-compose: adapters.py:433:send:ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)
[abrt] docker-compose: adapters.py:433:send:ReadTimeout: UnixHTTPConnectionPo...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: docker-compose (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Hampton
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b2479b7e6f638acd612e7543092...
:
: 1298082 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 04:24 EST by Yajo
Modified: 2016-01-14 16:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-30 16:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.08 KB, text/plain)
2015-12-21 04:24 EST, Yajo
no flags Details
File: dso_list (72 bytes, text/plain)
2015-12-21 04:24 EST, Yajo
no flags Details
File: environ (1.02 KB, text/plain)
2015-12-21 04:24 EST, Yajo
no flags Details

  None (edit)
Description Yajo 2015-12-21 04:24:11 EST
Description of problem:
I just ran docker-compose -f development.yml up -d

Version-Release number of selected component:
docker-compose-1.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/bin/docker-compose -f development.yml up -d
executable:     /usr/bin/docker-compose
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
adapters.py:433:send:ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 9, in <module>
    load_entry_point('docker-compose==1.4.2', 'console_scripts', 'docker-compose')()
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 39, in main
    command.sys_dispatch()
  File "/usr/lib/python2.7/site-packages/compose/cli/docopt_command.py", line 21, in sys_dispatch
    self.dispatch(sys.argv[1:], None)
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 27, in dispatch
    super(Command, self).dispatch(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/compose/cli/docopt_command.py", line 24, in dispatch
    self.perform_command(*self.parse(argv, global_options))
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 59, in perform_command
    handler(project, command_options)
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 495, in up
    timeout=timeout
  File "/usr/lib/python2.7/site-packages/compose/project.py", line 274, in up
    timeout=timeout
  File "/usr/lib/python2.7/site-packages/compose/service.py", line 389, in execute_convergence_plan
    for c in containers
  File "/usr/lib/python2.7/site-packages/compose/service.py", line 439, in recreate_container
    container.remove()
  File "/usr/lib/python2.7/site-packages/compose/container.py", line 156, in remove
    return self.client.remove_container(self.id, **options)
  File "/usr/lib/python2.7/site-packages/docker/utils/decorators.py", line 20, in wrapped
    return f(self, resource_id, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/docker/client.py", line 695, in remove_container
    params=params)
  File "/usr/lib/python2.7/site-packages/docker/clientbase.py", line 89, in _delete
    return self.delete(url, **self._set_request_timeout(kwargs))
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 537, in delete
    return self.request('DELETE', url, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 465, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 573, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/adapters.py", line 433, in send
    raise ReadTimeout(e, request=request)
ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

Local variables in innermost frame:
chunked: False
e: ReadTimeoutError("UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)",)
stream: False
url: '/v1.19/containers/33b129075fad682f9aac62767b929f647a8c18183ce39b2767cf8cc16edffe05?link=False&force=False&v=False'
verify: True
self: <docker.unixconn.unixconn.UnixAdapter object at 0x7f9fd3105d90>
request: <PreparedRequest [DELETE]>
cert: None
timeout: <requests.packages.urllib3.util.timeout.Timeout object at 0x7f9fd2dc1690>
proxies: {}
conn: <docker.unixconn.unixconn.UnixHTTPConnectionPool object at 0x7f9fd2dc1a90>
Comment 1 Yajo 2015-12-21 04:24:16 EST
Created attachment 1108259 [details]
File: backtrace
Comment 2 Yajo 2015-12-21 04:24:17 EST
Created attachment 1108260 [details]
File: dso_list
Comment 3 Yajo 2015-12-21 04:24:18 EST
Created attachment 1108261 [details]
File: environ
Comment 4 Michael Hampton 2015-12-29 20:09:49 EST
Getting a timeout on a UNIX socket is very odd. Was the Docker daemon running (and responding normally)? Did Docker log anything indicating it was having a problem?
Comment 5 Yajo 2015-12-30 03:16:43 EST
I don't know what could it be. It's working now. I cannot find anything within `journalctl --unit docker.service`.
Comment 6 Michael Hampton 2015-12-30 16:40:00 EST
Without sufficient information to go on, I don't think this can be conclusively answered at this time. If you find further information or the issue recurs, feel free to reopen the bug.
Comment 7 Michael Hampton 2016-01-14 16:51:00 EST
*** Bug 1298082 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.